@echo off

rem Get the game's directory and set it to a variable
set /p directory=<game_directory.txt

rem Make sure it ends in \, just to be safe
if NOT ["%directory:~-1%"]==[\] (
	set "directory=%directory%\"
)

rem Copy the data into our directory
if not exist "./desktop-1.0.jar" (
	echo Jar file not setup yet, copying...
	XCOPY /Q /Y "%directory%desktop-1.0.jar" . 1>nul
	XCOPY /Q /Y "%directory%SlayTheSpire.exe" . 1>nul
	XCOPY /Q /Y "%directory%info.displayconfig" . 1>nul
	XCOPY /Q /Y "%directory%config.json" . 1>nul
	XCOPY /Q /Y /S "%directory%preferences" preferences /i
	XCOPY /Q /Y /S "%directory%jre" jre /i
	XCOPY /Q /Y /S "%directory%_CommonRedist" _CommonRedist /i
)

rem Remove the saves
rd /s /q saves 2>nul

rem Replace the preferences with our preferred preferences
ROBOCOPY preferences.saved preferences *.* 1>nul
rem Then run the game
echo "Launching game..."
SlayTheSpire.exe